Bug 807050 - The package openssl-static.x86_64 doesn't work
The package openssl-static.x86_64 doesn't work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssl (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 16:56 EDT by Mikulas Patocka
Modified: 2012-08-29 13:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 05:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikulas Patocka 2012-03-26 16:56:39 EDT
Description of problem:
Red Hat provides a package "openssl-static.x86_64" to staticly link ssl programs, but it doesn't work.

Version-Release number of selected component (if applicable):
openssl-static.x86_64        1.0.0-20.el6_2.2

How reproducible:
always

Steps to Reproduce:
1. Create a simple program "ssltest.c" that uses openssl:
#include <openssl/ssl.h>

int main()
{
        SSLeay_add_ssl_algorithms();
        return 0;
}

2. compile and link the program with:
gcc ssltest.c -static `pkg-config openssl --libs --static`
  
Actual results:
A lot of unresolved symbols to symbols belonging to krb5 library.

Expected results:
Red Hat should provide a static krb5 library and this library should be reported in "pkg-config openssl --libs --static" command.
Comment 3 Japheth Cleaver 2012-05-22 21:53:13 EDT
Similar problem present in F17 (beta)
Comment 4 RHEL Product and Program Management 2012-07-10 02:10:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Ludek Smid 2012-07-11 07:39:13 EDT
This request was erroneously removed from consideration in
Red Hat Enterprise Linux 6.4, which is currently under
development.  This request will be evaluated for inclusion
in Red Hat Enterprise Linux 6.4.
Comment 6 Japheth Cleaver 2012-08-01 13:18:56 EDT
This seems to be dependent on bug 838782
Comment 7 Tomas Mraz 2012-08-06 05:50:03 EDT
Well it is dependent only partially - it can be solved independently but of course you'll need static krb5 libraries if you want to create fully statically linked executable which uses openssl.
Comment 8 RHEL Product and Program Management 2012-08-14 17:58:40 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 9 Karel Srot 2012-08-23 04:47:51 EDT
Tomas,
bug 838782 was closed as WONTFIX. Does it make sense to keep this bug opened?
Comment 10 Tomas Mraz 2012-08-27 13:27:18 EDT
I am not sure - the pkgconfig .pc for openssl is clearly wrong and fixing it would not be bad. But the executables created won't be fully static as krb5 linkage will stay dynamic.
Comment 12 Tomas Mraz 2012-08-29 05:40:23 EDT
WONTFIXing this bug as well as the fix is of limited use given the missing static krb5 libraries.
Comment 13 Mikulas Patocka 2012-08-29 12:28:07 EDT
If you set this won'tfix, I ask why don't you remove the openssl-static package? It makes no sense to provide a package that never works.
Comment 14 Tomas Mraz 2012-08-29 13:25:03 EDT
We might remove it in Fedora and future Red Hat Enterprise Linux releases. Removing it in Red Hat Enterprise Linux 6 makes no sense. By the way if you need just the libcrypto, it will be fine as it does not link to krb5 libraries.

Note You need to log in before you can comment on or make changes to this bug.